Subject: Re: [bug#55231] Understanding #:substitutable? and #55231

From: Leo Famulari <[email-masked]>
Date: Thu, 13 Feb 2025 15:51:47 -0500

On Sun, Feb 09, 2025 at 08:27:59PM -0800, Felix Lechner wrote:
> On Sun, Feb 09 2025, Leo Famulari wrote:
> > The violation of the licenses would only arise when distributing the
> > combined work to a 3rd party?
> 
> That's also my understanding.  Cloud images would be a problem, but Guix
> makes those unnecessary!

If it is the case, then I don't think that Guix needs to do anything
about this except prevent our CI infrastructure from building the ZFS
module. We wouldn't need to hardcode any restrictions into the Guix
codebase. We have created these kinds of CI restrictions in the past.

Already it's possible to create combinations of programs with
incompatible free software licenses, as a user. Is this particular
combination (ZFS and Linux) special in some way?